# Method: accounts.mfaSignIn.start

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.StartMfaSignInResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/accounts.mfaSignIn/start#try-it)

Sends the MFA challenge

### HTTP request

`POST https://identitytoolkit.googleapis.com/v2/accounts/mfaSignIn:start`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mfaPendingCredential": string, "mfaEnrollmentId": string, "tenantId": string, // Union field `sign_in_info` can be only one of the following: "phoneSignInInfo": { object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/StartMfaPhoneRequestInfo`) } // End of list of possible types for union field `sign_in_info`. } ``` |

| Fields ||
|---|---|
| `mfaPendingCredential` | `string` Required. Pending credential from first factor sign-in. |
| `mfaEnrollmentId` | `string` Required. MFA enrollment id from the user's list of current MFA enrollments. |
| `tenantId` | `string` The ID of the Identity Platform tenant the user is signing in to. If not set, the user will sign in to the default Identity Platform project. |
| Union field `sign_in_info`. MFA information by type of 2nd factor. `sign_in_info` can be only one of the following: ||
| `phoneSignInInfo` | ``object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/StartMfaPhoneRequestInfo`)`` Verification info to authorize sending an SMS for phone verification. |

### Response body

mfaSignIn.start response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { // Union field `response_info` can be only one of the following: "phoneResponseInfo": { object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/StartMfaPhoneResponseInfo`) } // End of list of possible types for union field `response_info`. } ``` |

| Fields ||
|---|---|
| Union field `response_info`. MultiFactor start sign-in response by 2nd factor type. `response_info` can be only one of the following: ||
| `phoneResponseInfo` | ``object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v2/StartMfaPhoneResponseInfo`)`` MultiFactor sign-in session information specific to SMS-type second factors. Along with the one-time code retrieved from the sent SMS, the contents of this session information should be passed to mfaSignIn.finalize to complete the sign in. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).